> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# The Opal endpoint

Method Opal is the single embeddable UI component that provides enhanced financial connectivity and user experience. Opal serves as a modern replacement for [Method Elements](/elements/overview), offering improved performance, better customization, and advanced features for integrating Method's API into your application.

## Authentication

All Opal endpoints require authentication using your Method API key.

```bash theme={null}
curl https://production.methodfi.com/opal/token \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

### Response:

```json theme={null}
{
  "success": true,
  "data": {
    "token": "otkn_THpBacqVBBrDkfqUf9htjm4QWAEJLY9a",
    "valid_until": "2025-05-08T22:21:40.312Z",
    "session_id": "osess_zde3mW34pEHqV"
  },
  "message": null
}
```

Refer to the [Create Token](/2026-03-30/reference/opal/create_token) section for more info on what properties can be passed in and how modes work.

## Sessions

Sessions allow you to resume a user's journey through Opal, while maintaining the user's data and progress. Sessions are long-lived stateful connections that allows a user to leave and resume their journey through Opal while maintaining the user’s data and progress.
Tokens are short-lived identifiers that initialize the Opal flow.

See [Opal Sessions](/opal/sessions) for more information.

## Environments

Opal can be launched from all Method environments:

| Environment | Opal URL                               |
| ----------- | -------------------------------------- |
| Development | `https://opal.dev.methodfi.com`        |
| Sandbox     | `https://opal.sandbox.methodfi.com`    |
| Production  | `https://opal.production.methodfi.com` |

Or, launch Opal from your app using one of our [libraries](/opal/libraries).
